Puppet
Close thread
Closes a thread masquerading as the specified agent
DELETE
/
api
/
v1
/
puppet
/
{namespace}
/
{sessionId}
/
{agentName}
/
thread
Close thread
curl --request DELETE \
--url https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"threadId": "<string>",
"summary": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread"
payload = {
"threadId": "<string>",
"summary": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({threadId: '<string>', summary: '<string>'})
};
fetch('https://api.example.com/api/v1/puppet/{namespace}/{sessionId}/{agentName}/thread', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The session's namespace
The session's ID
The agent's name
Body
application/json
Thread close input
Response
Success
⌘I
Close thread
